{
    attributes = (
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "TADR_CODE"; 
            externalType = VARCHAR2; 
            name = tadrCode; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            columnName = "TADR_LIBELLE"; 
            externalType = VARCHAR2; 
            name = tadrLibelle; 
            valueClassName = NSString; 
            valueType = S; 
        }, 
        {
            columnName = "TADR_LIBELLE_COURT"; 
            externalType = VARCHAR2; 
            name = tadrLibelleCourt; 
            valueClassName = NSString; 
            valueType = S; 
        }
    ); 
    attributesUsedForLocking = (tadrLibelle, dModification, dCreation, tadrLibelleCourt, tadrCode); 
    className = "org.cocktail.kava.server.metier.EOTypeAdresse"; 
    classProperties = (
        tadrLibelle, 
        dModification, 
        dCreation, 
        tadrLibelleCourt, 
        tadrCode, 
        rptPersonneAdresses
    ); 
    externalName = "GRHUM.TYPE_ADRESSE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (tadrLibelle, dModification, dCreation, tadrLibelleCourt, tadrCode); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOTypeAdresse"; 
    }; 
    isReadOnly = Y; 
    name = TypeAdresse; 
    primaryKeyAttributes = (tadrCode); 
    relationships = (
        {
            destination = RptPersonneAdresse; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tadrCode; sourceAttribute = tadrCode; }); 
            name = rptPersonneAdresses; 
            propagatesPrimaryKey = Y; 
        }
    ); 
}
